MantisBT  Site | Plugring | Plugins API and Macros | Forum | English Forum | Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002998Far ManagerMacropublic2015-06-01 10:062017-07-22 15:54
Reporterabelenki 
Assigned Toshmuel 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx64OSWindowsOS Version8.1
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002998: не отображается прогресс удаления
Descriptionустановлена следующая опция в Interface settings:

[x] Show total delete progress indicator

тем не менее, когда стираю папки с большим количеством файлов с флеш-диска, прогресс удаления в таскбаре отображается (без процентов, только в виде прогресс-бара), а в Far'е в виде диалога - нет.
TagsNo tags attached.
Build0
Attached Files

- Relationships

-  Notes
(0014627)
abelenki (reporter)
2016-06-20 22:39
edited on: 2016-06-21 03:31

диалог удаления не так важен, а вот прогресс удаления в виде процентов в таск-баре и в заголовке окна Far был бы очень кстати.

use case - удаление большого количества файлов с медленного девайса.

(0014630)
DrKnS (administrator)
2016-06-26 12:24

> без процентов
> в Far'е в виде диалога - нет
> прогресс удаления в виде процентов в таск-баре и в заголовке окна Far был бы очень кстати


Можно понять, о чём вообще речь?

http://i.imgur.com/HQkpRVW.png
(0014631)
abelenki (reporter)
2016-06-26 12:59
edited on: 2016-06-26 12:59

проверил в чистом Far'е - всё и вправду нормально, прогресс показывается.

начал искать проблему в себе. нашёл:

у меня стоит макрос \Far\Addons\Macros\Panel.Del.lua. файлы и папки я стираю нажатием Del.

1. когда стираешь при помощи Del - прогресс удаления не показывается.
2. когда стираешь при помощи F8 - прогресс удаления показывается.

(0014632)
abelenki (reporter)
2016-06-26 13:32

проверил на чистом Far'е - с Panel.Del.lua диалог удаления показывается нормально даже при нажатии Del.

на моём - только при нажатии F8.

буду искать дальше, в чём проблема. :(
(0014633)
abelenki (reporter)
2016-06-26 13:39

нашёл, как воспоризвести на чистом Far:

1. копируем Panel.Del.lua из Far\Addons\Macros\ в Far\Profile\Macros\scripts.
2. ставим галочку Show total delete progress indicator в Options/Interface settings.
3. убираем галочки с опций Delete и Delete non-empty folders в Options/Confirmations.
3. сохраняем настройки, перезапускаем Far.

смотрим на результат:

1. стираем при помощи F8 - всё нормально, прогресс удаления показывается.
2. стираем при помощи Del - прогресс удаления не показывается.
(0014634)
DrKnS (administrator)
2016-06-26 13:56

Возьмите новый Panel.Del.lua, там это исправили.

- Issue History
Date Modified Username Field Change
2015-06-01 10:06 abelenki New Issue
2016-06-20 22:39 abelenki Note Added: 0014627
2016-06-21 03:31 abelenki Note Edited: 0014627 View Revisions
2016-06-26 12:24 DrKnS Note Added: 0014630
2016-06-26 12:59 abelenki Note Added: 0014631
2016-06-26 12:59 abelenki Note Edited: 0014631 View Revisions
2016-06-26 13:32 abelenki Note Added: 0014632
2016-06-26 13:39 abelenki Note Added: 0014633
2016-06-26 13:55 DrKnS Category Delete files/folders => Macro
2016-06-26 13:56 DrKnS Note Added: 0014634
2016-06-26 13:56 DrKnS Build => 0
2016-06-26 13:56 DrKnS Status new => closed
2016-06-26 13:56 DrKnS Assigned To => shmuel
2016-06-26 13:56 DrKnS Resolution open => fixed
2016-06-26 13:56 DrKnS Fixed in Version => 3.0



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker